// Copyright 2001-2002 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.

#import "OAToolbarItem.h"

#import <Foundation/Foundation.h>
#import <OmniBase/rcsid.h>

RCS_ID("$Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniAppKit/Widgets.subproj/OAToolbarItem.m,v 1.3 2002/03/09 01:53:59 kc Exp $");

@implementation OAToolbarItem

- (id)delegate;
{
    return _delegate;
}

- (void)setDelegate:(id)delegate;
{
    _delegate = delegate;
}


// NSToolbarItem subclass

- (void)validate;
{
    [super validate];
    if (_delegate)
        [self setEnabled:[_delegate validateToolbarItem:self]];
}

@end
